---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: postgres-deployment
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 0
      maxUnavailable: 1
  selector:
    matchLabels:
      app: postgres
  template:
    metadata:
      labels:
        app: postgres
    spec:
      hostNetwork: true
      serviceAccountName: kubedoom  
      containers:
      - image: postgres:10.13
        name: postgres
        env:
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              name: pg-secret
              key: PASS
        - name: POSTGRES_USER
          value: "testuser"
        - name: POSTGRES_DB
          value: "testdatabase"
        - name: PGDATA 
          value: "/var/lib/postgresql/data/pgdata"
        ports:
        - containerPort: 5432
          protocol: TCP
        volumeMounts:
        - name: data
          mountPath: "/var/lib/postgresql/data"
      volumes:
      - name: data
        persistentVolumeClaim:
          claimName: pg-pvc
